// SEE https://github.com/nuxt/nuxt.js/blob/dev/bin/nuxt-generate

process.env.DEBUG = process.env.DEBUG || 'nuxt:*'

const resolve = require('path').resolve
// const { Nuxt, Builder, Generator } = require('nuxt')
const Nuxt = require('nuxt')

module.exports = function (options) {
  options.dev = false

  if (typeof options.rootDir !== 'string') {
    options.rootDir = resolve('.')
  }

  console.log('[ nuxt ] generate...')

  const nuxt = new Nuxt(options)
  // const builder = new Builder(nuxt)
  // const generator = new Generator(nuxt, builder)

  // generator.generate()
  nuxt.generate()
    .then(() => {
      console.log('[ nuxt ] generate done.')
      process.exit(0)
    })
    .catch((err) => {
      console.error(err)
      process.exit(1)
    })
}
